Summary: Racc (Ruby yACC) is a LALR parser generator for Ruby
Name: ruby-racc
%define tarname racc-%{version}-all
Version: 1.4.4
Release: 1
License: LGPL
Group: Applications/Ruby
Source: http://i.loveruby.net/archive/racc/%{tarname}.tar.gz
URL: http://i.loveruby.net/en/racc.html
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby

%define ruby18 %( [ `ruby -r rbconfig -e 'print Config::CONFIG["MAJOR"], ".", Config::CONFIG["MINOR"]'` = '1.8' ] && echo 1 || echo 0 )

%if %{ruby18}
Requires: ruby >= 1.8.0
%else
Requires: ruby >= 1.6.0
%endif

%description
Racc (Ruby yACC) is a LALR(1) parser generator for Ruby

%prep
%setup -n %{tarname}
eval sitearchdir=`ruby -r rbconfig -e 'p Config::CONFIG["sitearchdir"]'`
eval sitelibdir=`ruby -r rbconfig -e 'p Config::CONFIG["sitelibdir"]'`
ruby setup.rb config --bin-dir=$RPM_BUILD_ROOT%{_bindir} \
		     --rb-dir=$RPM_BUILD_ROOT$sitelibdir \
		     --so-dir=$RPM_BUILD_ROOT$sitearchdir
%build
ruby setup.rb setup

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/$archdir
ruby setup.rb install
find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
  ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc packages/racc/doc.en/ packages/racc/doc.ja/
%doc packages/racc/sample/ packages/racc/test/

%changelog
* Mon Apr  5 2004 Ian Macdonald <ian@caliban.org> 1.4.4-1
- 1.4.4

* Mon Mar 25 2002 Ian Macdonald <ian@caliban.org> 1.4.2-1
- 1.4.2
